<template>
    <div class="error-box">
        <el-row type="flex" align="middle" justify="center">
            <el-col align="middle">
                <div class="error-container">
                    <h1>404 - Not found!</h1>
                    <img :src="require('../../assets/404.gif')">
                    <div class="error-text">
                        <h3><strong>Look like you're lost!</strong></h3>
                        <small>The page you're looking for not available.</small>
                        <router-link to="/" tag="button" class="el-button el-button--default"><span>Dashboard</span></router-link>
                    </div>
                </div>
            </el-col>
        </el-row>
    </div>
</template>

<script>
    export default {
        name: 'Error404'
    }
</script>

<style lang="scss" scoped>
    .error-box{
        box-shadow: 0 2px 20px 0 rgba(0, 0, 0, 0.1);
        border-radius: 7px;
        border: 1px solid #dcdfe6;
        padding: 40px;
        background: #fff;
        height: 100%;

        >.el-row{
            height: 100%;
        }
    }
    .error-container{
        position: relative;
        text-align: center;

        h1{
            position: absolute;
            top: 20px;
            text-align: center;
            width: 100%;
        }

        .error-text{
            position: absolute;
            text-align: center;
            bottom: 30px;
            width: 100%;

            h3{
                margin-bottom: 5px;
            }
            small{
                display: block;
            }
            button{
                margin-top: 10px;
            }
        }
    }
</style>